$(function () {
    //$("#quickSendForm :input").prop("disabled", true);
    //getAllMessage();
    //getPrices();
    //getStatus();
    // disable all wiget
    //getInfo();
    /*
     * 
     * @returns {undefined}{
            action: "avanaklogin",
            address: $("#loginaddress").val(),
            username: $("#loginusername").val(),
            password: $("#loginpassword").val(),
        },
     */
});


function registerNewUser() {
    /*jQuery.ajax({
     type: "get",
     url: "/wp-admin/admin-ajax.php",
     data: {
     action: "registerAjax",
     address: $("#address").val(),
     first: $("#first").val(),
     last: $("#last").val(),
     username: $("#username").val(),
     password: $("#password").val(),
     email: $("#email").val(),
     mobile: $("#mobile").val(),
     bdate: $("#bdate").val()
     },
     success: function (data) {
     console.log(data);
     }
     });*/
    jQuery.ajax({
        type: "get",
        url: "/wp-admin/admin-ajax.php",
        data: {
            action: "registerAjax",
            address: $("#loginaddress").val(),
            username: $("#loginusername").val(),
            password: $("#loginpassword").val(),
        },
        success: function (data) {
            console.log(data);
        }
    });
}
function getAllMessage() {
    jQuery.ajax({
        type: "post",
        url: "/wp-admin/admin-ajax.php",
        data: {action: "soundList"},
        success: function (d) {
            if (d != 'Could not connect to host') {
                $("#soundPlace").html(d);
                $("#quickSendForm :input").prop("disabled", false);
                $(".qsbtnplc").html('<p class="submit"><span onclick="sendSound()" class="button-primary yekan text-normal" id="qsmbtn">ارسال پیام</span></p>');
            }

        }
    });
}
function changeType() {
    var a = $("#soundID option:selected").val();
    if (a == 'convert') {
        $("#textboxplace").html('<div class="form-field term-slug-wrap clearfix">\
                                    <label for="qsmobile">متن</label>\
                                    <input name="qsmobile" id="text2speech" value="" size="80" type="text" class="rtl">\
                                </div> \
                                <div class="form-field form-required term-name-wrap clearfix">\
                                    <label for="loginaddress">نوع صدا</label>\
                                    <select id="sendServerName" class="fw yekan">\
                                        <option value="1">ارسال از مشهد</option>\
                                        <option value="15">ارسال از مازندران</option>\
                                    </select>\
                                </div>');
    } else {
        $("#textboxplace").html('');
    }
}

function sendSound() {
    if (c4e('qsmobile')) {
        jQuery.ajax({
            type: "post",
            url: "/wp-admin/admin-ajax.php",
            data: {
                action: "quicksend",
                soundID: $("#soundID option:selected").val(),
                qsmobile: $("#qsmobile").val(),
                qssrver: $("#sendServerName option:selected").val(),
            },
            success: function (d) {
                if (d == '-1') {
                    $(".qsresult").html('<p class="yekan">نام کاربری و کلمه عبور شما صحیح نیست</p>');
                } else if (d == '-2') {
                    $(".qsresult").html('<p class="yekan">شماره موبایل وارد نشده یا صحیح نیست</p>');
                } else if (d == '-3') {
                    $(".qsresult").html('<p class="yekan">اعتبار کافی نیست</p>');
                } else if (d == '-6') {
                    $(".qsresult").html('<p class="yekan">خارج از محدوده زمانی ارسال</p>');
                } else {
                    $(".qsresult").html('<p class="yekan">پیام شما با موفقیت ارسال شد</p>');
                    $("#quickSendForm")[0].reset();
                }
            }
        });
    } else {

    }
}

function getInfo() {
    if (c4e('loginusername') && c4e('loginpassword') && c4e('loginaddress')) {
        $.ajax({
            type: "POST",
            url: "/wp-admin/admin-ajax.php",
            data: $("#loginForm").serialize(),
            success: function (d) {
                if (d == -1) {
                    cm('خطای ورود', '<p class="rtl yekan">مشخصات شما اشتباه است!</p>');
                } else {
                    //getPrices();
                    console.log(d);
                }
            }
        });
    } else {
        cm('خطای پر کردن فیلد', '<p class="rtl yekan">پر کردن فیلد های نام کاربری، کلمه عبور و آدرس  سرور اجباری است</p>');
    }
}
function cm(t, b) {
    $("#dialog").html(b);
    $("#dialog").dialog({
        resizable: false,
        height: "auto",
        width: "auto",
        title: t,
        dialogClass: "alert",
        modal: true,
        buttons: [{
                text: "بستن",
                click: function () {
                    $(this).dialog("close");
                }
            }]
    });
}
function c4e(e) {
    return $.trim($("#" + e).val()).length > 0 ? true : false;
}